Bug 1010658 - [Usability] unintuitive behavior of pagination
[Usability] unintuitive behavior of pagination
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: ER7
: EAP 6.2.0
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks: 1021418
  Show dependency treegraph
 
Reported: 2013-09-22 06:16 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:20:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-279 Major Resolved Unintuitive behavior of pagination 2015-12-07 03:49 EST

  None (edit)
Description Jakub Cechacek 2013-09-22 06:16:19 EDT
Pagination in console should always offset the same number of entries, last page included. 

Let's assume we have 25 entries, 7 entries per page. The current behavior will list pages in this manner:

page 1: entry 1-7  
page 2: entry 8-14
page 3: entry 15-21 
page 4: entry 19-25 

now when going back

page 4: entry 25-19
page 3: entry 18-12
page 2: entry 11-5
page 1: entry 7 - 1

The last page should contain only entries 22-25. This behavior is confusing and consequently you will get different last page when using "skip to last" button (as this one will correctly display entries 22-25) and when listing through pages.
Comment 1 Jakub Cechacek 2013-10-31 10:05:43 EDT
Verified 6.2.0.ER7

Note You need to log in before you can comment on or make changes to this bug.